<!-- ...................................................................... -->
<!-- UML Use Case Model V1.0 .............................................. -->
<!-- File usecase.mod ..................................................... -->

<!-- Copyright(c) 1998 Normand Rivard.

     Permission to use, copy, modify and distribute the UML-Xchange DTD and
     its accompanying documentation for any purpose and without fee is
     hereby granted in perpetuity, provided that the above copyright
     notice and this paragraph appear in all copies.  The copyright
     holders make no representation about the suitability of the DTD for
     any purpose.  It is provided "as is" without expressed or implied
     warranty.

     If you modify the UML-Xchange DTD in any way, except for declaring and
     referencing additional sets of general entities and declaring
     additional notations, label your DTD as a variant of UML-Xchange.  See
     the maintenance documentation for more information.

     Please direct all questions, bug reports, or suggestions for
     changes to one of the maintainers:

     o Normand Rivard
       <nrivard@cam.org>

-->

<!ELEMENT use.case.mod  - - (%ident;, use.case.set, use.case.diagram*)>

<!ELEMENT use.case.set  - - (actor+, use.case+)>

<!ELEMENT actor         - - (%ident;, name)>

<!ATTLIST actor             %idreq.common.attrib;>

<!ELEMENT use.case      - - (%ident;, name)>

<!ATTLIST use.case          imply.actor IDREFS  #REQUIRED
                            uses        IDREFS  #IMPLIED
                            extends     IDREFS  #IMPLIED
                            %idreq.common.attrib;>


<!-- Use Case Diagram Components........................................... -->
<!-- ...................................................................... -->

<!ELEMENT use.case.diagram  - - (%ident;, name?, ( note
                                                | actor.comp
                                                | use.case.comp
                                                )* )>

<!ATTLIST use.case.diagram  %rect;
                            %id.common.attrib;>

<!ELEMENT actor.comp    - o EMPTY>

<!ATTLIST actor.comp        from.set    IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!ELEMENT use.case.comp - o (link*)>

<!ATTLIST use.case.comp     from.set    IDREF   #REQUIRED
                            %rect;
                            %id.common.attrib;>

<!-- End of Use Case model DTD V1.0 ....................................... -->
<!-- ...................................................................... -->
